Subject: bug#15795: 24.3.50; Compile uses relative filenames, breaks goto next error.

From: David Engster <[email-masked]>
Date: Fri, 04 Jul 2014 20:38:12 +0200

Glenn Morris writes:
> Jan Djärv wrote:
>
>> Come to think of it, if doing parallel make where each job goes into
>> separate directories, directory tracking will most likely fail, as
>> output from different jobs are intermixed.  So directory tracking is
>> not robust.
>
> https://www.gnu.org/software/make/manual/html_node/Parallel-Output.html

See also

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14411

While I'm also using -Orecurse nowadays on systems where I have the
latest GNU Make 4, I still think that at least trying to find the
correct location for older versions of Make wouldn't hurt.

-David